<div class="container">
    <div class="row">
        <div class="col-3">
            <mat-card class="category-card">
                <mat-card-header>
                    <mat-card-title>New category</mat-card-title>
                    <mat-card-subtitle></mat-card-subtitle>
                </mat-card-header>
                <mat-card-content>
                    <mat-form-field class="input-fluid">
                        <input matInput placeholder="Category" [(ngModel)]="category.name" name="newCategory">
                    </mat-form-field>
                </mat-card-content>
                <mat-card-actions class="d-flex justify-content-center">
                    <button mat-button (click)="create()">Create</button>
                </mat-card-actions>
            </mat-card>
        </div>
        <div class="col-3" *ngFor="let category of categories; index as i">
            <mat-card class="category-card">
                <mat-card-header>
                    <mat-card-title>{{i+1}}. {{category.name}}</mat-card-title>
                    <mat-card-subtitle></mat-card-subtitle>
                </mat-card-header>
                <mat-card-content>
                    <mat-form-field class="input-fluid">
                        <input matInput placeholder="Category name" [(ngModel)]="category.name" name="name"
                            [disabled]="!category.isEdit">
                    </mat-form-field>
                </mat-card-content>
                <mat-card-actions class="d-flex justify-content-between">
                    <button mat-button (click)="category.isEdit = true" *ngIf="!category.isEdit">Edit</button>
                    <button mat-button *ngIf="!category.isEdit">Delete</button>
                    <button mat-button (click)="category.isEdit = false; save(category)"
                        *ngIf="category.isEdit">Save</button>
                    <button mat-button (click)="category.isEdit = false; discard(category.id)"
                        *ngIf="category.isEdit">Discard</button>
                </mat-card-actions>
            </mat-card>
        </div>
    </div>
</div>
